@echo off

setlocal

d:
if "%DEVTOOLS%"=="" set DEVTOOLS=D:\devtools

cd %DEVTOOLS%\jpd\lib

set PATH=.;%PATH%

set CLASSPATH=%CLASSPATH%;%DEVTOOLS%\jpd\demo\ProfilerDemo

set PROF=prof
set PROF=%PROF%:net=localhost:5115
set PROF=%PROF%,format=b
set PROF=%PROF%,cpu=samples
set PROF=%PROF%,cutoff=0.0001
set PROF=%PROF%,monitor=n
set PROF=%PROF%,lineno=y
set PROF=%PROF%,thread=y
set PROF=%PROF%,heap=sites
set PROF=%PROF%,doe=y

echo PROFILER AGENT = %PROF%

java -Xrun%PROF% -Djava.compiler=NONE demo.prosyst.profiler.RunMe QA

endlocal

rem	=========================================================================
rem
rem	Prof usage: -Xrunprof[:help]|[<option>=<value>, ...]
rem
rem	Option Name and Value	Description		Default
rem	---------------------	-----------		-------
rem	heap=dump|sites|all	heap profiling		all
rem	cpu=samples|times|old	CPU usage		off
rem	monitor=y|n		monitor contention	n
rem	format=a|b		ascii or binary output	a
rem	file=<file>		write data to file	java.prof(.txt for ascii)
rem	net=<host>:<port>	send data over a socket	write to file
rem	depth=<size>		stack trace depth	4
rem	cutoff=<value>		output cutoff point	0.0001
rem	lineno=y|n		line number in traces?	y
rem	thread=y|n		thread in traces?	n
rem	doe=y|n			dump on exit?		y
rem
rem	=========================================================================
