/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd;

import java.io.File;

/**
 * @author Ivo Karabashev
 * @version 1.0
 */
public class SecurityManager {
  
  private static String jpd_home  = null;
  
  /**
   * Gets the number of days remaining of the evaluation period from domain.crp.
   *
   * @return     the number of days, 0 for registered (unlimited) version,
   *             negative if the evaluation period has expired
   */
  public static int getDays() {
    return 0;
  }
  
  /**
   * Gets JPD home directory.
   *
   * @return     jpd home path
   */
  public static String getJPDHome() {
    if (jpd_home == null) {
      jpd_home = System.getProperty("jpd.home");
    }
    if (jpd_home == null) {
      jpd_home = System.getProperty("aprj.home") 
                   + File.separator + "plugins"
                   + File.separator + "testenv";
    }
    if (jpd_home != null) {
      try {
        jpd_home = new File(jpd_home).getCanonicalPath();
      } catch (java.io.IOException _) {
        jpd_home = new File(jpd_home).getAbsolutePath();
      }
    }
    return jpd_home;
  }
}