/*
 * jlong_md.h
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#ifndef _JLONG_MD_H
#define _JLONG_MD_H

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

#define jlong_high(a)   ((jint)((a) >> 32))
#define jlong_low(a)    ((jint)(a))
#define jlong_add(a, b) ((a) + (b))
#define jlong_sub(a, b) ((a) - (b))
#define jlong_mul(a, b) ((a) * (b))
#define jlong_div(a, b) ((a) / (b))
#define jlong_rem(a, b) ((a) % (b))
#define jlong_and(a, b) ((a) & (b))
#define jlong_or(a, b)  ((a) | (b))
#define jlong_xor(a, b) ((a) ^ (b))

#define jlong_zero      ((jlong) 0)
#define jlong_one       ((jlong) 1)
#define jlong_minus_one ((jlong) -1)

#define jint_to_jlong(a) ((jlong)(a))
#define jlong_to_jint(a) ((jint)(a))

#define jlong_to_int(a)  ((int)(a))
#define int_to_jlong(a)  ((jlong)(a))
#define jlong_to_uint(a) ((unsigned int)(a))
#define uint_to_jlong(a) ((jlong)(a))

#endif /* _JLONG_MD_H */
