/*
 * prof_io.h
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#ifndef _PROF_IO_H
#define _PROF_IO_H

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

void prof_write_header(unsigned char type, jint length);
void prof_write_dev(void *buf, int len);
void prof_write_raw(void *buf, int len);
void prof_flush(void);
void prof_write_current_ticks();
void prof_write_u4(unsigned int i);
void prof_write_u2(unsigned short i);
void prof_write_u1(unsigned char i);
void prof_write_id(void *p);
void prof_io_setup(void);

void prof_dump_seek(char *ptr);
char * prof_dump_cur(void);
void prof_dump_read(void *buf, int size);
void * prof_dump_read_id(void);
unsigned int prof_dump_read_u4(void);
unsigned short prof_dump_read_u2(void);
unsigned char prof_dump_read_u1(void);

#endif /* _PROF_IO_H */
