/*
 * prof_jni.h
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#ifndef _PROF_JNI_H
#define _PROF_JNI_H

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

/* JNI global refs */
typedef struct prof_globalref_t {
  struct prof_globalref_t *next;       /* next global ref */
  jobject ref_id;                      /* referece ID */
  struct prof_objmap_t *obj_id;        /* object ID */
  unsigned int trace_serial_num;       /* trace where the ref was alloced */
} prof_globalref_t;

prof_globalref_t * prof_globalref_find(jobject ref_id);
void prof_jni_globalref_alloc_event(JNIEnv *env_id, jobjectID obj_id, jobject ref_id);
void prof_jni_globalref_free_event(JNIEnv *env_id, jobject ref_id);

#endif /* _PROF_JNI_H */
