/*
 * prof_method.h
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#ifndef _PROF_METHOD_H
#define _PROF_METHOD_H

#include "prof_hash.h"

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

extern prof_hash_t prof_method_table;

void prof_method_table_init(void);
prof_method_t * prof_lookup_method(jmethodID method_id);
prof_method_t * prof_intern_method(JVMPI_Method *jmethod, prof_class_t *hclass);
void prof_method_entry_event(JNIEnv *env_id, jmethodID method_id);
void prof_method_exit_event(JNIEnv *env_id, jmethodID method_id);

#endif /* _PROF_METHOD_H */
