/*
 * prof_name.h
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#ifndef _PROF_NAME_H
#define _PROF_NAME_H

#include "prof_hash.h"

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

/* Names */
typedef struct prof_name_t {
	void * next;
  unsigned char marked;                /* been written to the output? */
  char *name;                          /* name */
} prof_name_t;

extern prof_hash_t prof_name_table;

void prof_name_table_init(void);
void prof_output_name(prof_name_t *name);
prof_name_t * prof_intern_name(char *name);
prof_name_t * prof_lookup_name(char *name);

#endif /* _PROF_NAME_H */
