/*
 * prof_object.h
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#ifndef _PROF_OBJECT_H
#define _PROF_OBJECT_H

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

/* Live objects */
typedef struct prof_objmap_t {
  struct prof_objmap_t *next;
  jobjectID obj_id;                    /* object id */
  struct prof_site_t *site;            /* alloc site */
  unsigned int size;                   /* object size */
} prof_objmap_t;

void prof_objmap_init(void);
prof_objmap_t * prof_objmap_lookup(jobjectID obj_id);
void prof_objmap_print(prof_objmap_t *objmap);

void prof_obj_alloc_event(JNIEnv *env_id, jobjectID class_id,
         jint is_array, unsigned int size, jobjectID obj_id, jint arena_id, int requested);
void prof_obj_free_event(JNIEnv *env_id, jobjectID obj_id);
void prof_obj_move_event(JNIEnv *env_id, jobjectID obj_id, jint arena_id,
         jobjectID new_obj_id, jint new_arena_id);
prof_objmap_t * prof_fetch_object_info(jobjectID obj);
void prof_print_object_info(jobjectID obj);
void prof_objmap_rehash(void);
void prof_print_objmap_tbl_hash_stats(void);

#endif /* _PROF_OBJECT_H */
