/*
 * prof_site.h
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#ifndef _PROF_SITE_H
#define _PROF_SITE_H

#include "prof_hash.h"

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

/* Allocation sites */
typedef struct prof_site_t {
	void * next;
  unsigned char changed;               /* objects at this site changed? */
  unsigned char is_array;              /* object arrays:    JVMPI_CLASS
                                          primitive arrays: JVMPI_BOOLEAN, ...
                                          normal objects:   0 */
  unsigned int trace_serial_num;       /* trace serial number */
  struct prof_class_t *class;          /* NULL for primitive arrays */
  unsigned int n_alloced_instances;
  unsigned int n_alloced_bytes;
  unsigned int n_live_instances;
  unsigned int n_live_bytes;
} prof_site_t;

typedef struct {
  prof_site_t **sites;
  int index;
  int changed_only;
} prof_site_iterate_t;

extern prof_hash_t prof_site_table;

void prof_site_table_init(void);
prof_site_t * prof_intern_site(jobjectID class_id, jint is_array, unsigned int trace_serial_num);
void prof_output_sites(int flags, float cutoff);
void prof_clear_site_table(void);

#endif /* _PROF_SITE_H */
