/*
 * prof_trigger.h
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Ivo Karabashev
 */

#ifndef _PROF_TRIGGER_H
#define _PROF_TRIGGER_H

/**
 * @author  Ivo Karabashev
 * @version 1.00, 02/22/2002
 */

/* flags used in trigger events */
#define PROF_TRGACT_BEGIN     0x00
#define PROF_TRGACT_CONT      0x01
#define PROF_TRGACT_END       0x02
#define PROF_TRGACT_MEM_BEGIN 0x04
#define PROF_TRGACT_MEM_CONT  0x05
#define PROF_TRGACT_MEM_END   0x06
#define PROF_TRGACT_CPU_BEGIN 0x08
#define PROF_TRGACT_CPU_CONT  0x09
#define PROF_TRGACT_CPU_END   0x0A

#define PROF_TRGACT_EXPORT    0x10
#define PROF_TRGACT_PAUSE     0x11
#define PROF_TRGACT_STOP      0x12

/* Triggers */
typedef struct prof_trigger_t {
	void * next;
  unsigned char action;
  struct prof_name_t *class_name;      /* name of class */
  struct prof_name_t *method_name;     /* name of method */
} prof_trigger_t;

void prof_trigger_table_init(void);
prof_trigger_t * prof_lookup_trigger_entry(prof_method_t *method);
prof_trigger_t * prof_lookup_trigger_exit(prof_method_t *method);
void prof_put_trigger_entry(unsigned char action, char *cname, char *mname);
void prof_put_trigger_exit(unsigned char action, char *cname, char *mname);

#endif /* _PROF_TRIGGER_H */
