/*
 * prof_md.c
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <time.h>

#include "jni.h"
#include "jlong_md.h"
#include "prof.h"

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

int prof_send(int s, const char *msg, int len, int flags)
{
  int res;
  do {
    res = send(s, msg, len, flags);
  } while ((res < 0) && (errno == EINTR));

  return res;
}

jint prof_get_milliticks()
{
  struct timespec ts;

  (void) clock_gettime(CLOCK_REALTIME, &ts);
  return((ts.tv_sec * 1000) + (ts.tv_nsec / 1000000));
}

jlong prof_get_timemillis()
{
  struct timespec ts;
  clock_gettime(CLOCK_REALTIME, &ts);
  return jlong_add(jlong_mul(jint_to_jlong(ts.tv_sec), jint_to_jlong(1000)),
      jint_to_jlong(ts.tv_nsec / 1000000));
}
