/*
 * prof_md.c
 *
 * Copyright (c) ProSyst Software
 * All rights reserved
 *
 * Written by Vladislav Doshev,
 *            Alexi     Jordanov   (alexi91@yahoo.com),
 *            Ivo       Karabashev
 */

#include "jni.h"
#include "jlong_md.h"
#include "prof.h"

#include <winbase.h>

/**
 * @author  Vladislav Doshev
 * @author  Alexi     Jordanov (alexi91@yahoo.com)
 * @author  Ivo       Karabashev
 * @version 1.00, 02/11/2000
 */

int prof_send(int s, const char *msg, int len, int flags)
{
  return send(s, msg, len, flags);
}

jint prof_get_milliticks()
{
  return(GetTickCount());
}

#define FT2JLONG(ft) \
	((jlong)(ft).dwHighDateTime << 32 | (jlong)(ft).dwLowDateTime)

jlong prof_get_timemillis()
{
  static jlong fileTime_1_1_70 = 0;
  SYSTEMTIME st0;
  FILETIME   ft0;

  if (fileTime_1_1_70 == 0) {
    /* Initialize fileTime_1_1_70 -- the Win32 file time of midnight 1/1/70. */
    memset(&st0, 0, sizeof(st0));
    st0.wYear  = 1970;
    st0.wMonth = 1;
    st0.wDay   = 1;
    SystemTimeToFileTime(&st0, &ft0);
    fileTime_1_1_70 = FT2JLONG(ft0);
  }

  GetSystemTime(&st0);
  SystemTimeToFileTime(&st0, &ft0);

  return (FT2JLONG(ft0) - fileTime_1_1_70) / 10000;
}

HINSTANCE hJavaInst;

BOOL WINAPI DllMain(HINSTANCE hinst, DWORD reason, LPVOID reserved)
{
  switch (reason) {
    case DLL_PROCESS_ATTACH:
      hJavaInst = hinst;
      break;
    case DLL_PROCESS_DETACH:
      hJavaInst = NULL;
      break;
    default:
      break;
  }
  return TRUE;
}
