/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler;

import com.prosyst.jpd.profiler.gui.ActionManager;

/**
 * Starts Profiler as a separate application.
 *
 * @author Ivo Karabashev
 * @version 1.0
 */
public class Main {
  
  /**
   * <PRE>
   * Starts Profiler as a separate application.
   *
   *  You may define the following system property:
   *    debug          = boolean
   *    dump.bin.input = boolean
   *    dump.namespace = boolean
   *
   *  If debug is true, additional debug messages are printed.
   *  For example: java -Ddebug=true com.prosyst.jpd.profiler.Main
   *  enables debug messages.
   *
   *  If dump.bin.input is true, all bin input is printed.
   *  For example: java -Ddump.bin.input=true com.prosyst.jpd.profiler.Main
   *  enables bin input dump.
   *
   *  If dump.namespace is true, all namespace is printed.
   *  For example: java -Ddump.namespace=true com.prosyst.jpd.profiler.Main
   *  enables namespace dump.
   */
  public static void main(String[] args) {
    new ActionManager(args);
  }
}