/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler;

import java.io.IOException;
import java.io.DataInputStream;
import java.io.BufferedInputStream;
import java.net.Socket;

public abstract class ProfilerInput extends Thread {
  
  protected DataInputStream in = null;
  private Socket socket = null;
  
  public ProfilerInput(DataInputStream in) {
    super("ProfilerInput-Thread");
    this.in = in;
  }
  
  public ProfilerInput(Socket socket) throws IOException {
    this(new DataInputStream(new BufferedInputStream(socket.getInputStream())));
    this.socket = socket;
  }
  
  protected void close() {
    // close input stream and clear reference
    if (in != null) {
      try {
        in.close();
      } catch (Exception _) { }
      in = null;
    }
    // close socket and clear reference
    if (socket != null) {
      try {
        socket.close();
      } catch (Exception _) { }
      socket = null;
    }
  }
  
  public abstract void run();
}