/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler;

import java.io.IOException;
import java.io.DataInputStream;
import java.io.PrintStream;
import java.net.Socket;
import com.prosyst.util.log.Log;      // from Util project

/**
 * Dumps all profiler input to System.out in ASCII format.
 */
public class ProfilerInputAscii extends ProfilerInput {
  
  private PrintStream out = System.out;
  
  public ProfilerInputAscii(DataInputStream in) {
    super(in);
  }
  
  public ProfilerInputAscii(Socket socket) throws IOException {
    super(socket);
  }
  
  public void run() {
    try {
      int ch;
      while ((ch = in.read()) != -1) {
        outputChar(ch);
      }
    } catch (Exception ex) {
      Log.printDebug("PROFILER_INPUT_ASCII.read", ex);
    }
    close();
  }
  
  private void outputChar(int ch) throws IOException {
    out.print((char) ch);
  }
}