/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler;

import java.io.IOException;
import java.io.DataInputStream;
import java.net.Socket;
import com.prosyst.util.log.Log;      // from Util project

/**
 * Skips all profiler input.
 */
public class ProfilerInputNone extends ProfilerInput {
  
  public ProfilerInputNone(DataInputStream in) {
    super(in);
  }
  
  public ProfilerInputNone(Socket socket) throws IOException {
    super(socket);
  }
  
  public void run() {
    try {
      while (in.read() != -1) {
        // Nothing to do
      }
    } catch (Exception ex) {
      Log.printDebug("PROFILER_INPUT_NONE.run", ex);
    }
    close();
  }
}