/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.binbody;

import com.prosyst.jpd.profiler.BinInputImpl;
import com.prosyst.jpd.profiler.storage.ProfilerNamespace;

import com.prosyst.util.log.Dumpable; // from Util project

/**
 * Body of the record.
 *
 * @see com.prosyst.jpd.profiler.BinRecord
 */
public abstract class BinBody implements Dumpable {
  
  public BinRecord         parent;
  public BinInputImpl      in;
  public ProfilerNamespace namespace;
  
  public BinBody(BinRecord parent) {
    this.parent    = parent;
    this.in        = parent.in;
    this.namespace = parent.namespace;
  }
  
  /**
   * Read the record body from a binary input.
   *
   * @exception   IOException  Error during the reading.
   */
  public abstract void read() throws java.io.IOException;
  
  // Dumpable
  
  public void dump() {
    dump(System.out);
  }
}