/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.binbody;

/**
 * <PRE>
 * TAG           BODY      notes
 * -------------------------------------------------------
 * PROF_CONTROL_SETTINGS   the settings of on/off switches
 *
 *               u4         0x00000001: alloc traces on/off
 *                          0x00000002: cpu sampling on/off
 *               u2         stack trace depth
 */
public class BinBody_ControlSettings extends BinBody {
  
  public BinBody_ControlSettings(BinRecord parent) {
    super(parent);
  }
  
  public void read() throws java.io.IOException {
    int flags = in.read_u4();
    int depth = in.read_u2();
    
    in.allocTraces = (flags & 0x0001) != 0x0000;
    in.cpuSampling = (flags & 0x0002) != 0x0000;
    in.stackTraceDepth = depth;
  }
  
  // Dumpable
  
  public void dump(java.io.PrintStream out) {
    out.println("PROF_CONTROL_SETTINGS");
    out.println("  alloc traces      = " + in.allocTraces);
    out.println("  cpu sampling      = " + in.cpuSampling);
    out.println("  stack trace depth = " + in.stackTraceDepth);
    out.println();
  }
}
