/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.binbody;

import com.prosyst.jpd.profiler.info.ThreadInfo;

/**
 * <PRE>
 * TAG           BODY      notes
 * --------------------------------------------
 * PROF_END_THREAD         a terminating thread
 *
 *               u4         thread serial number
 */
public class BinBody_EndThread extends BinBody {
  
  public int threadSerialNo;
  
  public BinBody_EndThread(BinRecord parent) {
    super(parent);
  }
  
  public void read() throws java.io.IOException {
    threadSerialNo = in.read_u4();
    
    ThreadInfo threadInfo = namespace.lookupThread(threadSerialNo);
    if (threadInfo != null) {
      threadInfo.threadEndTime = parent.ticks;
      in.eventCommon(threadInfo);
    }
    
    //unbind(); // should not be unbound, beacause may be referenced later
  }
  
  public void unbind() {
    namespace.getThreadTable().unbind(threadSerialNo);
  }
  
  // Dumpable
  
  public void dump(java.io.PrintStream out) {
    out.println("PROF_END_THREAD");
    out.println("  thread serial number = " + threadSerialNo);
    out.println();
  }
}
