/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.binbody;

import com.prosyst.jpd.profiler.info.GraphInfo;

/**
 * <PRE>
 * TAG           BODY      notes
 * ------------------------------------
 * PROF_HEAP_SUMMARY       heap summary
 *
 *               u4         total live bytes
 *               u4         total live instances
 *               u8         total bytes allocated
 *               u8         total instances allocated
 */
public class BinBody_HeapSummary extends BinBody {
  
  public GraphInfo graphInfo;
  
  public BinBody_HeapSummary(BinRecord parent) {
    super(parent);
  }
  
  public void read() throws java.io.IOException {
    graphInfo = new GraphInfo();
    
    graphInfo.totalLiveBytes          = in.read_u4();
    graphInfo.totalLiveInstances      = in.read_u4();
    graphInfo.totalBytesAllocated     = in.read_u8();
    graphInfo.totalInstancesAllocated = in.read_u8();
  }
  
  // Dumpable
  
  public void dump(java.io.PrintStream out) {
    out.println("PROF_HEAP_SUMMARY");
    out.println("  total live bytes          = " + graphInfo.totalLiveBytes);
    out.println("  total live instances      = " + graphInfo.totalLiveInstances);
    out.println("  total bytes allocated     = " + graphInfo.totalBytesAllocated);
    out.println("  total instances allocated = " + graphInfo.totalInstancesAllocated);
    out.println();
  }
}
