/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.binbody;

import java.io.IOException;
import com.prosyst.jpd.profiler.info.TriggerEvent;

/**
 * <PRE>
 * TAG           BODY      notes
 * -----------------------------------------------------------
 * PROF_TRIGGER_EVENT       method entry or exit event
 *
 *               u1                          trigger type
 *
 *               PROF_TRIGGER_ENTRY          method entry
 *
 *                          id               class name
 *                          id               method name
 *
 *               PROF_TRIGGER_EXIT           method exit
 *
 *                          id               class name
 *                          id               method name
 */
public class BinBody_TriggerEvent extends BinBody {
  
  public BinBody_TriggerEvent(BinRecord parent) {
    super(parent);
  }
  
  public void read() throws IOException {
    TriggerEvent triggerEvent = new TriggerEvent();
    
    triggerEvent.type = in.read_u1();
    int          classNameID  = in.read_id();
    triggerEvent.className    = namespace.lookupName(classNameID).replace('/', '.');
    int          methodNameID = in.read_id();
    triggerEvent.methodName   = namespace.lookupName(methodNameID);
    
    in.eventCommon(triggerEvent);
  }
  
  // Dumpable
  
  public void dump(java.io.PrintStream out) {
    out.println("PROF_TRIGGER_EVENT");
    out.println();
  }
}