/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.binbody;

/**
 * <PRE>
 * TAG           BODY      notes
 * ------------------------------------------
 * PROF_UNLOAD_CLASS       an unloading class
 *
 *               u4         class serial_number
 */
public class BinBody_UnloadClass extends BinBody {
  
  public int classSerialNo;
  
  public BinBody_UnloadClass(BinRecord parent) {
    super(parent);
  }
  
  public void read() throws java.io.IOException {
    classSerialNo = in.read_u4();
    
    //unbind(); // should not be unbound, beacause may be referenced later
  }
  
  public void unbind() {
    namespace.getClassTable().unbind(classSerialNo);
  }
  
  // Dumpable
  
  public void dump(java.io.PrintStream out) {
    out.println("PROF_UNLOAD_CLASS");
    out.println("  class serial number = " + classSerialNo);
    out.println();
  }
}
