/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.binbody;

/**
 * <PRE>
 * TAG           BODY      notes
 * -------------------------------------------
 * PROF_UTF8               a UTF8-encoded name
 *
 *               id         name ID
 *              [u1]*       UTF8 characters (no trailing zero)
 */
public class BinBody_Utf8 extends BinBody {
  
  private int    id;
  private String utf8;
  
  public BinBody_Utf8(BinRecord parent) {
    super(parent);
  }
  
  public void read() throws java.io.IOException {
    id   = in.read_id();
    utf8 = in.read_utf8(parent.length - in.sizeofID);
    
    bind();
  }
  
  public void bind() {
    namespace.getNameTable().bind(id, utf8);
  }
  
  // Dumpable
  
  public void dump(java.io.PrintStream out) {
    out.println("PROF_UTF8");
    out.println("  id   = " + id);
    out.println("  utf8 = " + utf8);
    out.println();
  }
}
