/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.gui;

/**
 * ActionCodes provides numerical values for actions.
 * Every action has a numerical value associated with it.
 * If you want to invoke specific action you can use
 * <code>perform(ACTION_CODE)</code> from <i>ActionManager</i>.
 *
 * @author Ivo Karabashev
 * @version 1.0
 */
public interface ActionCodes {
  
  int ACTION_EXIT       = 199;
  
  int ACTION_LAUNCH     = 101;
  int ACTION_LAUNCHQ    = 102;
  int ACTION_LISTEN     = 103;
  int ACTION_ATTACH     = 104;
  
  int ACTION_PLAY       = 110;
  int ACTION_PAUSE      = 111;
  int ACTION_STOP       = 112;
  
  int ACTION_PREF       = 180;
  
  int ACTION_ECLIPSE    = 190;
  
  int ACTION_FIND       = 201;
  int ACTION_FIND_NEXT  = 202;
  
  int ACTION_LOAD_DATA  = 210;
  int ACTION_SAVE_DATA  = 211;
  int ACTION_CLEAR_DATA = 212;
  int ACTION_SAVE_TEXT  = 220;
  
  int ACTION_START_MARK = 301;
  int ACTION_CONT_MARK  = 302;
  int ACTION_STOP_MARK  = 303;
  
  int ACTION_GC         = 310;
  int ACTION_SOURCE     = 311;
  int ACTION_TREE       = 312;
  
  int ACTION_HEAP_DUMP  = 320;
  int ACTION_MONITORS   = 321;
}