/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.gui;

import com.prosyst.pgui.tree.TreeNodeImpl;
import com.prosyst.jpd.profiler.info.AllocSiteInfo;
import com.prosyst.jpd.profiler.info.Misc;

/**
 * Alloc site information tree node.
 *
 * @author Ivo Karabashev
 */
public class AllocSiteNode extends TreeNodeImpl {
  
  public int           bytesAlloc;
  public int           instsAlloc;
  public AllocSiteInfo allocSite;
  
  public AllocSiteNode(Object obj, int ab, int ai, AllocSiteInfo asi) {
    super(obj);
    bytesAlloc = ab;
    instsAlloc = ai;
    allocSite  = asi;
  }
  
  public String toString() {
    return Misc.EMPTY_STRING;
  }
  
  public String toString(int memUnits) {
    StringBuffer sb = new StringBuffer();
    sb.append(nodeData == null ? "unknown" : nodeData.toString());
    sb.append(" (");
    sb.append(Misc.formatMemUnit(bytesAlloc, memUnits));
    sb.append(" bytes, ");
    sb.append(instsAlloc);
    sb.append(" insts)");
    return sb.toString();
  }
}
