/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.gui;

import com.prosyst.pgui.tree.TreeNodeImpl;
import com.prosyst.jpd.profiler.info.CpuSampleInfo;
import com.prosyst.jpd.profiler.info.FrameInfo;
import com.prosyst.jpd.profiler.info.Misc;

/**
 * Cpu sample information tree node.
 *
 * @author Ivo Karabashev
 */
public class CpuSampleNode extends TreeNodeImpl {
  
  public long          time;
  public float         percent;
  public CpuSampleInfo cpuSample;
  
  public CpuSampleNode(Object obj, long tm, float prcnt, CpuSampleInfo cs) {
    super(obj);
    time      = tm;
    percent   = prcnt;
    cpuSample = cs;
  }
  
  public String toString() {
    return Misc.EMPTY_STRING;
  }
  
  public String toString(boolean methodPrc, int timePercentPrecision) {
    StringBuffer sb = new StringBuffer();
    if (methodPrc && nodeData instanceof FrameInfo) {
      if (nodeData == null) {
        sb.append("unknown");
      } else {
        FrameInfo fi = (FrameInfo) nodeData;
        sb.append((fi.className  == null ? Misc.UNKNOWN_CLASS       : fi.className));
        sb.append('.');
        sb.append((fi.methodName == null ? FrameInfo.UNKNOWN_METHOD : fi.methodName));
      }
    } else {
      sb.append((nodeData == null ? "unknown" : nodeData.toString()));
    }
    sb.append(" (");
    sb.append(Misc.formatPercent(percent, timePercentPrecision));
    sb.append(" %,  ");
    sb.append(time);
    sb.append(" ms)");
    return sb.toString();
  }
}