/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.gui;

import com.prosyst.jpd.profiler.info.CpuSampleInfo;
import com.prosyst.jpd.profiler.info.CpuSampleSorter;

/**
 * Manages cpu samples information in console mode.
 *
 * @author Ivo Karabashev
 */
public class CpuSamplerImpl {
  
  protected CpuSampleSorter sorter = new CpuSampleSorter();
  protected int ticks                = 0;
  protected int totalNumberOfSamples = 0;
  
  private static java.io.PrintStream out = System.out;
  
  public void eventCpuSamples(int ticks, int totalNumberOfSamples, CpuSampleInfo[] cpuSamples) {
    this.ticks = ticks;
    this.totalNumberOfSamples += totalNumberOfSamples;
    sorter.addCpuSamples(cpuSamples);
  }
  
  public void showCpuSamples() {
    sorter.showCpuSamples(out, CpuSampleSorter.COST_COLUMN_P, totalNumberOfSamples, ticks);
  }
}