/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.gui;

import com.prosyst.pgui.tree.TreeNodeImpl;
import com.prosyst.jpd.profiler.info.InstDumpInfo;
import com.prosyst.jpd.profiler.info.ThreadInfo;

/**
 * Field tree node.
 *
 * @author Ivo Karabashev
 */
public class FieldNode extends TreeNodeImpl {
  
  public static final int NODE_END  = 0;
  public static final int NODE_LOOP = 1;
  public static final int NODE_MORE = 2;
  public static final int NODE_EXPN = 3;
  
  public String  fieldName;
  public int     state;
  public boolean isIn = false;
  
  public FieldNode(String fn, int s, InstDumpInfo objectDumpInfo) {
    super(objectDumpInfo);
    fieldName = fn;
    state = s;
  }
  
  public FieldNode(String fn, int s, Object objectDumpInfo, boolean in) {
    super(objectDumpInfo);
    fieldName = fn;
    state = s;
    isIn = in;
  }
  
  public String toString() {
    StringBuffer sb = new StringBuffer();
    sb.append(fieldName);
    if (isIn) {
      if (nodeData instanceof ThreadInfo) sb.append(" of thread ");
      else sb.append(" of ");
    } else sb.append(" = ");
    sb.append(nodeData.toString());
    return sb.toString();
  }
}