/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.gui.help;

import com.prosyst.gui.CHelpMenu;

/**
 * @author Kiril Statev
 * @version 1.0
 */
public class HelpManager {
  protected static CHelpMenu    helpMenu     = null;
  protected static HelpListener helpListener = null;
  
  public static void setHelpListener(HelpListener newHelpListener) {
    helpListener = newHelpListener;
    helpMenu = null;
  }
  
  public static void setStandAloneHelp(boolean showApi, boolean showTip, String appName) {
    helpMenu = new CHelpMenu(showApi, showTip, appName);
    helpMenu.setGuidesMIVisible(false);
    helpListener = null;
  }
  
  public static CHelpMenu getHelpMenu() {
    return helpMenu;
  }
  
  public static void showHelp(String key) {
    String url = HelpResource.getString(key);
    if (url != null) {
      if (helpListener != null) {
        helpListener.showHelp(url);
      } else if (helpMenu != null) {
        helpMenu.showHelpRelativeURL(url);
      }
    }
  }
  
  public static void closeHelp() {
    if (helpMenu != null) {
      helpMenu.destroyHelpProcess();
      helpMenu = null;
    }
  }
}
