/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.gui.help;

import java.util.Locale;
import java.util.ResourceBundle;

import com.prosyst.util.log.Log;

public class HelpResource {
  private static ResourceBundle resources;
  
  public static void setResource(String resourceName) {
    try {
      resources = ResourceBundle.getBundle(resourceName, Locale.getDefault());
    } catch (Exception _){
      Log.printDebug("HelpResource", "Cannot load properties");
      resources = null;
    }
  }
  
  public static String getString(String key) {
    try {
      return resources.getString(key);
    } catch (Exception _) {
      return null; // in case of MissingResourceException or NullPointerException
    }
  }
}
