/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.heapdump;

import com.prosyst.jpd.profiler.BinInputImpl;
import com.prosyst.jpd.profiler.binbody.BinBody_HeapDump;
import com.prosyst.jpd.profiler.storage.ProfilerNamespace;

import com.prosyst.util.log.Dumpable; // from Util project

/**
 * Heap dump record.
 *
 * @see com.prosyst.jpd.profiler.BinRecord
 */
public abstract class HeapDump implements Dumpable {
  
  protected BinBody_HeapDump    parent;
  protected ProfilerNamespace   namespace;
  protected BinInputImpl        in;
  
  /**
   * @param   parent  Reference to the object allocated this
   *                  heap dump instance.
   */
  public HeapDump(BinBody_HeapDump parent) {
    this.parent    = parent;
    this.in        = parent.in;
    this.namespace = parent.namespace;
  }
  
  /**
   * Read the instance fields from a binary input.
   *
   * @return     total bytes read
   * @exception   IOException  Error during the reading.
   */
  public abstract int read() throws java.io.IOException;
  
  // Dumpable
  
  public void dump() {
    dump(System.out);
  }
  
  public abstract void dump(java.io.PrintStream out);
}