/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.heapdump;

import com.prosyst.jpd.profiler.binbody.BinBody_HeapDump;

/**
 * Denote a heap dump -- unknown root.
 *
 * <PRE>
 * TAG           BODY      notes
 * -----------------------------------------
 * PROF_GC_ROOT_UNKNOWN         Unknown root
 *
 *                          id         object ID
 */
public class HeapDump_RootUnknown extends HeapDump {
  
  public int objectID;
  
  public HeapDump_RootUnknown(BinBody_HeapDump parent) {
    super(parent);
  }
  
  public int read() throws java.io.IOException {
    objectID = in.read_id();
    
    return in.sizeofID(); // id
  }
  
  // Dumpable
  
  public void dump(java.io.PrintStream out) {
    out.println("  sub-record type = PROF_GC_ROOT_UNKNOWN");
    out.println("  object ID = " + objectID);
    out.println();
  }
}