/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.info;

/**
 * Resolved class dump information.
 *
 * @author Ivo Karabashev
 */
public class ClassDumpInfo {
  
  public static class StaticField {
    public String name;
    public byte   type;
    public int    value;
  }
  
  public static class InstanceField {
    public String name;
    public byte   type;
  }
  
  public byte            type;
  public String          className;
  public TraceInfo       traceInfo;
  public int             instanceSizeInBytes;
  public int             numberOfInstances;
  public StaticField[]   staticFields;
  public InstanceField[] instanceFields;
  
  public int             superClassID;
  public ClassDumpInfo   superClassInfo;
  public int             classLoaderID;
  public InstDumpInfo    classLoaderInfo;
  
  public String getClassName() {
    return (className == null ? Misc.UNKNOWN_CLASS : className);
  }
  
  public String toString() {
    return getClassName();
  }
}