/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.info;

import com.prosyst.jpd.profiler.gui.ResourceManager;

/**
 * Resolved trace information.
 *
 * @author Ivo Karabashev
 */
public class TraceInfo {
  
  public static final String UNKNOWN_TRACE = ResourceManager.getString("InfoClass.unknown.trace");
  
  //public int         stackTraceSerialNo; // not needed for now
  public ThreadInfo  threadInfo;
  public int         numberOfFrames;
  public FrameInfo[] frameInfo;
  
  public String getThreadName() {
    return (threadInfo == null ? ThreadInfo.UNKNOWN_THREAD : threadInfo.toString());
  }
  
  public String getFrameName() {
    if (numberOfFrames == 0) {
      return FrameInfo.UNKNOWN_FRAME;
    } else {
      return frameInfo[0].toString();
    }
  }
  
  public int compareTo(TraceInfo trace) {
    if (trace == null || threadInfo != trace.threadInfo || numberOfFrames < trace.numberOfFrames) return -1;
    int d = numberOfFrames - trace.numberOfFrames;
    for (int i = 0; i < trace.numberOfFrames; i++) if (frameInfo[d + i] != trace.frameInfo[i]) return -1;
    return d;
  }
  
  public String toString() {
    return getThreadName() + "  " + getFrameName();
  }
}