/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.storage;

import com.prosyst.util.log.Dumpable; // from Util project

public class ObjectStorageIntDefaultImpl implements ObjectStorageInt, Dumpable {
  
  protected HashIntObjNS storage = null;
  
  public ObjectStorageIntDefaultImpl(int size) {
    storage = new HashIntObjNS(size);
  }
  
  public ObjectStorageIntDefaultImpl() {
    this(101);
  }
  
  public void bind(int id, Object ref) {
    storage.put(id, ref);
  }
  
  public void unbind(int id) {
    storage.remove(id);
  }
  
  public Object lookup(int id) {
    return storage.get(id);
  }
  
  public int[] keys() {
    return storage.keys();
  }
  
  public Object[] elements() {
    return storage.elements();
  }
  
  public int size() {
    return storage.size();
  }
  
  public void clear() {
    storage = new HashIntObjNS(size());
  }
  
  // Dumpable
  
  public void dump() {
    dump(System.out);
  }
  
  public void dump(java.io.PrintStream out) {
    boolean  isEmpty = true;
    Object   value;
    int[]    keys   = storage.keys();
    Object[] values = storage.elements();
    for (int i = 0; i < keys.length; i++) {
      value = values[i];
      if (value != null) {
        isEmpty = false;
        out.println("id=" + keys[i] + ", ref=" + value);
      }
    }
    if (isEmpty) out.println("<empty>");
  }
}