/*
 * Copyright (c) 2000 by Prosyst Software AG.,
 * http://www.prosyst.com
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Prosyst Software AG. You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms
 * of the license agreement you entered into with Prosyst.
 */

package com.prosyst.jpd.profiler.storage;

import com.prosyst.jpd.profiler.info.*;

/**
 * @author Vladislav Doshev (VladiSD)
 */
public abstract class ProfilerNamespace {
  
  // Tables
  
  public abstract ObjectStorageInt getNameTable();
  
  public abstract ObjectStorageInt getThreadTable();
  
  public abstract ObjectStorageInt getTraceTable();
  
  public abstract ObjectStorageInt getFrameTable();
  
  public abstract ObjectStorageInt getClassTable();
  
  public abstract ObjectStorageInt getClassFromObjectIDTable();
  
  public abstract ObjectStorageInt getClsdumpTable();
  
  public abstract ObjectStorageInt getObjdumpTable();
  
  // Lookup
  
  public abstract String lookupName(int nameID);
  
  public abstract ThreadInfo lookupThread(int threadID);
  
  public abstract TraceInfo lookupTrace(int traceID);
  
  public abstract FrameInfo lookupFrame(int frameID);
  
  public abstract String lookupClass(int classID);
  
  public abstract String lookupClassFromObjectID(int classObjectID);
  
  public abstract ClassDumpInfo lookupClassDump(int classID);
  
  public abstract InstDumpInfo lookupObjectDump(int objectID);
  
  // Load / Save
  
  public abstract void loadData(java.io.DataInputStream input) throws java.io.IOException;
  
  public abstract void saveData(java.io.DataOutputStream output) throws java.io.IOException;
  
  public abstract java.util.Vector getJavaFrameRootTable();
  
  public abstract java.util.Vector getNativeStackRootTable();
  
  public int[] heap_primarr;
}